Aero METAR Pro

Karamba & Superkaramba

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
Score 57%
Description:

This theme will allow you to display the METARs and TAFs of all airports you want in one superkaramba widget!

Click on one of the top buttons to add a METAR or a TAF then enter its ICAO code.
Click on the left button to update or on the right button to close it.

I hope it will be useful to all airmen like me.
Any comment/idea is welcome.

Last changelog:

14 years ago

You can now choose a new theme and even make your own theme: just put the files in a directory of the name of your theme in the "themes" directory and it will be automatically detected!

Urgentemente

11 years ago

Just to say 'thanks',
I was going to try making something like this (have never coded before) after I found something similar for W!ndows last week, then as soon as I look I found this!
great, only had to change the URL as per your comment and it's working brilliantly (and good that you can add more than one site..)

Report

Patrick1701

12 years ago

Hello,
the guys from http://weather.noaa.gov have changed the link to the ftp access. Now its ftp://tgftp.nws.noaa.gov/, so if someone wants to fix this local, just edit urls of scripts/gettaf.py and scripts/getmetar.py.

Patrick

Report

phil

14 years ago

I'd like to use this theme but there's a problem.
ImportError: /usr/lib/python2.3/lib-dynload/math.so: undefined symbol: PyFPE_jbuf

I use several other superkaramba themes and all of theme work well.

What's wrong here? Any help appreciated.

Report

C

AdrienV

14 years ago

I sorry but I have no solution to your problem. Verify that you have a working python installed with "urllib" module.
The theme seems to work on other computers.

Report

phil

13 years ago

Hi and thank you for your responce.

I'm pretty new to Python and so I don't really know what I did. ;-)

In the file 'getmetar.py' I changed the path to Python executable (/usr/local/bin/python). And I deleted 'import urllib'. Within the def-paragraph I inserted "urllib = __import__('urllib')". And so I got over the nasty error message complaining the math library.

In the file 'aero-metar.py' I had to change "metarText = karamba.getThemeText(widget, "metar")" to "metarText = karamba. createText(widget, 0, 0, 360,360, "... loading ...")". And with these two changes the karamba application runs.

In addition to that I changed the url to "ftp://weather.noaa.gov/data/observations/metar/decoded/..." to get the information in a better readable format.

After all I'm pretty sure it's a versioning problem and it would be helpful to know what versions are required. Can you please post your versions of superkaramba, python, pyqt and what else is needed? Thank you in advance.

Report

C

AdrienV

13 years ago

I'm using Python 2.3.5 and superkaramba 0.35. Note that since superkaramba 0.36 the theme won't update when you left-click on it.
Thank you for your searches.
I didn't know that there was "decoded" METARs, I may add an option in the menu to use it instead of the standart form.

Report

DustyDingo

14 years ago

Always good to see something new around karamba. Ok i won't use it, but looks good and very usefull to special users.

Report

14 years ago

You can now choose a new theme and even make your own theme: just put the files in a directory of the name of your theme in the "themes" directory and it will be automatically detected!

product-maker 18 25

File (click to download) Version Description Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
1.0
updated Jun 30 2005
added Apr 19 2005
downloads today
0
page views today 1